[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.PeekMessage

Check if a client message is available.

## Declaration

Source position: simpleipc.pp line 107

`public function TSimpleIPCServer.PeekMessage(`
`TimeOut: Integer;`
`DoReadMessage: Boolean`
`):Boolean;`

## Arguments

`TimeOut` |  | Number of milliseconds to wait for a message.
`DoReadMessage` |  | Should the message be read or not ?

## Function result

True if a client message is available.

## Description

PeekMessage checks if a message from a client is available. It will return True if a message is available. The call will wait for TimeOut milliseconds for a message to arrive: if after TimeOut milliseconds, no message is available, the function will return False.

If DoReadMessage is True then PeekMessage will read the message. If it is False, it does not read the message. The message should then be read manually with ReadMessage.

## See also

ReadMessage

Documentation generated on: Feb 26 2014